<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-06-20 10:23:39'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:message'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Target Namespace URI';
		param.type='string';
		param.defaultValue.expr='findAncestor("wsdl:definitions").getAttrValue("targetNamespace")';
		param.hidden='true';
	}
	PARAM={
		param.name='$xmlName';
		param.description='Displayed XML name (qualified or local) of the message';
		param.type='string';
		param.defaultValue.expr='toXMLName (getStringParam("$nsURI"), getAttrStringValue("name"))';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$usageCount';
		param.title='number of usage locations';
		param.description='number of locations where this message is used (referenced)';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "wsdl-definition-usage", contextElement.id
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$title';
		param.title='Component\'s doc title';
		param.type='string';
		param.defaultValue.expr='\'Message "\' + getParam("$xmlName") + \'"\'';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='doc.wsdl.def';
		param.title='WSDL Definition';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc';
		param.title='Alternative Descriptions';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.part';
		param.title='Message Part';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.part.copyFrom';
		param.title='Copy From';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.part.copyFrom.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.profile';
		param.title='Definition Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.usage';
		param.title='Usage Locations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.source.for.message';
		param.title='Messages';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.remove.wsdl.docs';
		param.title='Remove <wsdl:documentation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.parts';
		param.title='Message Part Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.parts.dataType';
		param.title='Data Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.parts.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.parts.separator';
		param.title='Separator';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Component List';
		style.id='cs1';
		text.font.size='10';
	}
	PAR_STYLE={
		style.name='Component List Heading 2';
		style.id='ps1';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.bottom='7';
	}
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message';
		style.id='cs3';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Derivation Method';
		style.id='cs4';
		text.font.name='Verdana';
		text.font.size='8';
		text.color.foreground='#FF9900';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs5';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs6';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps2';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Heading 3';
		style.id='ps3';
		text.font.name='Times New Roman';
		text.font.size='22';
		par.margin.bottom='12';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps4';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5 (Mono)';
		style.id='ps5';
		text.font.name='Courier New';
		text.font.size='9';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Superheading';
		style.id='ps6';
		text.font.name='Times New Roman';
		text.font.size='14';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs7';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs8';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs9';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs10';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps7';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs11';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs12';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps8';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps9';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs9';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs11';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
						FMT={
							text.font.style.italic='true';
						}
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" &&
output.demoIncomplete && ! contextElement.exceedsDemoLimits'
		TEMPLATE_FILE='../../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='../../navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		DESCR='document heading in case of multi-file (framed) HTML documentation'
		COND='output.type == "document"'
		FMT={
			par.style='ps2';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		DESCR='section heading in case of single-file documentation'
		COND='output.type == "included"'
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.style='ps6';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='message'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
			<CTRL_GROUP>
				FMT={
					par.style='ps3';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$xmlName")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER COLLAPSED='true'>
		DESCR='if this component is excluded from demo documentation'
		COND='contextElement.exceedsDemoLimits'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs3';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar & bottom message'
				COND='output.type == "document"'
				TEMPLATE_FILE='../../navbar-bottom.tpl'
				PASSED_PARAMS={
					'$navbar_type','"component"';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Message Profile'
		COND='getBooleanParam("doc.wsdl.def.profile")'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-profile", true)'
		TEMPLATE_FILE='messageProfile.tpl'
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Usage Locations'
		COND='getBooleanParam("doc.wsdl.def.usage")
&&
getIntParam("$usageCount") > 0'
		FMT={
			sec.outputStyle='list';
			list.item.margin.top='8';
			list.item.margin.bottom='8';
		}
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"usage-locations"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Known Usage Locations'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<ELEMENT_ITER COLLAPSED='true'>
				DESCR='in input of operations'
				TARGET_ET='wsdl:input%wsdl:tParam'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey (
  "wsdl-definition-usage", contextElement.id
)'
				SORTING='by-expr'
				SORTING_KEY={expr='callStockSection("Operation in portType")',ascending,case_sensitive}
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='In input of operations'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='"(" + iterator.numItems + ")"'
									</DATA_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT=':'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							text.style='cs1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Operation in portType'
										PASSED_ELEMENT_EXPR='contextElement.parent'
										PASSED_ELEMENT_MATCHING_ET='wsdl:operation%wsdl:tOperation'
									</SS_CALL_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='! iterator.isLastItem'
										TEXT=','
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER COLLAPSED='true'>
				DESCR='in output of operations'
				TARGET_ET='wsdl:output%wsdl:tParam'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey (
  "wsdl-definition-usage", contextElement.id
)'
				SORTING='by-expr'
				SORTING_KEY={expr='callStockSection("Operation in portType")',ascending,case_sensitive}
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='In output of operations'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='"(" + iterator.numItems + ")"'
									</DATA_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT=':'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							text.style='cs1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Operation in portType'
										PASSED_ELEMENT_EXPR='contextElement.parent'
										PASSED_ELEMENT_MATCHING_ET='wsdl:operation%wsdl:tOperation'
									</SS_CALL_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='! iterator.isLastItem'
										TEXT=','
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER COLLAPSED='true'>
				DESCR='in faults operations'
				TARGET_ET='wsdl:fault%wsdl:tFault'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey (
  "wsdl-definition-usage", contextElement.id
)'
				SORTING='by-expr'
				SORTING_KEY={expr='callStockSection("Operation in portType")',ascending,case_sensitive}
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='In faults of operations'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='"(" + iterator.numItems + ")"'
									</DATA_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT=':'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							text.style='cs1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Operation in portType'
										PASSED_ELEMENT_EXPR='contextElement.parent'
										PASSED_ELEMENT_MATCHING_ET='wsdl:operation%wsdl:tOperation'
									</SS_CALL_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='! iterator.isLastItem'
										TEXT=','
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER COLLAPSED='true'>
				DESCR='in extensibility elements'
				TARGET_ET='wsdl:operation%wsdl:tBindingOperation'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey (
  "wsdl-definition-usage", contextElement.id
)'
				SORTING='by-expr'
				SORTING_KEY={expr='callStockSection("Operation in Binding")',ascending,case_sensitive}
				FMT={
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='In extensibility elements within bindings of operations'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='"(" + iterator.numItems + ")"'
									</DATA_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT=':'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							text.style='cs1';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='space';
								}
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='Operation in Binding'
									</SS_CALL_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='! iterator.isLastItem'
										TEXT=','
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='Description'
		COND='getBooleanParam("doc.wsdl.def.description")'
		<HTARGET>
			COND='getBooleanParam("nav.bar")'
			HKEYS={
				'contextElement.id';
				'"desc"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Description'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../doc/docOutput.tpl'
				PASSED_ROOT_ELEMENT_EXPR='findChild("wsdl:documentation")'
				FMT={
					text.style='cs5';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER COLLAPSED='true'>
		DESCR='XML SOURCE'
		COND='getBooleanParam("doc.wsdl.def.source")
&&
getBooleanParam("doc.wsdl.def.source.for.message")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"xml-source"';
			}
			NAME_EXPR='output.type == "document" ? "xml_source" : ""'
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs8';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
								}
								FMT={
									text.style='cs7';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.wsdl.def.source.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts1';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<ELEMENT_ITER>
		DESCR='PART DETAIL'
		COND='getBooleanParam("doc.wsdl.def.parts")'
		TARGET_ET='wsdl:part'
		SCOPE='simple-location-rules'
		RULES={
			'* -> wsdl:part';
		}
		<HTARGET>
			COND='getBooleanParam("nav.bar")'
			HKEYS={
				'contextElement.id';
				'"part-detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Message Part Detail'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				FMT={
					par.style='ps5';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"detail"';
					}
				</HTARGET>
				<HTARGET>
					HKEYS={
						'rootElement.id';
						'"message-part"';
						'getAttrValue("name")';
					}
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<IMAGE_CTRL>
								COND='getBooleanParam("show.icons")'
								IMAGE_TYPE='file-image'
								FILE='../../images/messagePart.png'
								OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
								FMT={
									image.alignment='bottom';
									image.padding.right='1';
									image.padding.bottom='1';
								}
							</IMAGE_CTRL>
							<DATA_CTRL>
								ATTR='name'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				SS_NAME='Part'
				FMT={
					sec.indent.block='true';
				}
			</SS_CALL>
			<AREA_SEC>
				COND='getBooleanParam("doc.wsdl.def.parts.separator")
&&
! iterator.isLastItem'
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='../../navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
		}
	</TEMPLATE_CALL>
</ROOT>
<STOCK_SECTIONS>
	<AREA_SEC>
		SS_NAME='Operation in Binding'
		DESCR='case of global attribute'
		MATCHING_ET='wsdl:operation%wsdl:tBindingOperation'
		FMT={
			sec.outputStyle='text-par';
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<SS_CALL_CTRL>
						SS_NAME='WSDL Definition Name'
					</SS_CALL_CTRL>
					<PANEL>
						COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
						FMT={
							ctrl.size.width='145.5';
							ctrl.size.height='38.3';
							text.style='cs12';
							txtfl.separator.type='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='['
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page-htarget'
										FMT={
											ctrl.option.noHLinkFmt='true';
											text.hlink.fmt='none';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=']'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
					<TEXT_CTRL>
						TEXT='in binding'
						FMT={
							text.style='cs4';
						}
					</TEXT_CTRL>
					<SS_CALL_CTRL>
						SS_NAME='WSDL Definition Name'
						PASSED_ELEMENT_EXPR='contextElement.parent'
						PASSED_ELEMENT_MATCHING_ET='wsdl:binding'
					</SS_CALL_CTRL>
					<PANEL>
						COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.parent.id,
  "detail"
)) != null'
						FMT={
							ctrl.size.width='145.5';
							ctrl.size.height='38.3';
							text.style='cs12';
							txtfl.separator.type='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='['
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page-htarget'
										FMT={
											ctrl.option.noHLinkFmt='true';
											text.hlink.fmt='none';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.parent.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=']'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		SS_NAME='Operation in portType'
		DESCR='case of global attribute'
		MATCHING_ET='wsdl:operation%wsdl:tOperation'
		FMT={
			sec.outputStyle='text-par';
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<SS_CALL_CTRL>
						SS_NAME='WSDL Definition Name'
					</SS_CALL_CTRL>
					<PANEL>
						COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
						FMT={
							ctrl.size.width='145.5';
							ctrl.size.height='38.3';
							text.style='cs12';
							txtfl.separator.type='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='['
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page-htarget'
										FMT={
											ctrl.option.noHLinkFmt='true';
											text.hlink.fmt='none';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=']'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
					<TEXT_CTRL>
						TEXT='in portType'
						FMT={
							text.style='cs4';
						}
					</TEXT_CTRL>
					<SS_CALL_CTRL>
						SS_NAME='WSDL Definition Name'
						PASSED_ELEMENT_EXPR='contextElement.parent'
						PASSED_ELEMENT_MATCHING_ET='wsdl:portType'
					</SS_CALL_CTRL>
					<PANEL>
						COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.parent.id,
  "detail"
)) != null'
						FMT={
							ctrl.size.width='145.5';
							ctrl.size.height='38.3';
							text.style='cs12';
							txtfl.separator.type='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='['
									</TEXT_CTRL>
									<DATA_CTRL>
										DOCFIELD='page-htarget'
										FMT={
											ctrl.option.noHLinkFmt='true';
											text.hlink.fmt='none';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.parent.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=']'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		SS_NAME='Part'
		MATCHING_ET='wsdl:part'
		INIT_EXPR='mainXMLFilter = BooleanQuery (
  checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  )
);

element = null;
elementType = null;

getAttrStringValue("element") != "" ?
{
  element = findElementByKey (
    "xsd-global-elements",
    getAttrQNameValue("element"),
    mainXMLFilter
  );

  elementType = findElementByKey (
     "xsd-element-types",
     element.id
  )
};

thisContext.setVar ("element", element);
thisContext.setVar ("elementType", elementType);

thisContext.setVar (
  "type",
  getAttrStringValue("type") != "" ?
    findElementByKey (
      "xsd-types",
      getAttrQNameValue("type"),
      mainXMLFilter
    )
  : null
)'
		<BODY>
			<FOLDER>
				DESCR='PROFILE'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.wsdl.def.parts.dataType")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Data Type:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='17.3';
											tcell.align.vert='Top';
											par.style='ps8';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Part Data Type'
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='17.3';
											par.style='ps9';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<TEMPLATE_CALL>
				DESCR='DESCRIPTION'
				COND='getBooleanParam("doc.wsdl.def.parts.description")'
				TEMPLATE_FILE='partDescription.tpl'
				PASSED_PARAMS={
					'$element','thisContext.getElementVar ("element")';
					'$elementType','thisContext.getElementVar ("elementType")';
					'$type','thisContext.getElementVar ("type")';
				}
				STYLE_OVERRIDES={
					'Mono','cs10';
				}
				FMT={
					sec.spacing.before='9';
					text.style='cs6';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Part Data Type'
		DESCR='prints message part\'s datatype;
expects the following variables (associated with \'thisContext\'):

\'element\' - GOMElement of the corresponding XSD element component, which is specified with \'element\' attribute in the message part

\'elementType\' - GOMElement representing XSD type component of the element type

\'type\' - GOMElement of the corresponding the XSD type component, which is specified with \'element\' attribute in the message part'
		MATCHING_ET='wsdl:part'
		FMT={
			sec.outputStyle='text-par';
		}
		<BODY>
			<FOLDER>
				DESCR='case of element'
				COND='getAttrStringValue("element") != ""'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										ATTR='element'
										FMT={
											text.style='cs10';
										}
										<DOC_HLINK>
											CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("element")'
											MATCHING_ET='xs:element'
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  thisContext.getElementVar("element").id,
  "detail"
)) != null'
										FMT={
											ctrl.size.width='145.5';
											ctrl.size.height='38.3';
											text.style='cs12';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("element")'
															MATCHING_ET='xs:element'
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='element\'s type'
						CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("elementType")'
						MATCHING_ETS={'#CUSTOM';'xs:%complexType';'xs:%simpleType'}
						BREAK_PARENT_BLOCK='when-executed'
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='(global element of '
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								DESCR='when the type reference is not resolved'
								MATCHING_ET='#CUSTOM'
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='type'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='contextElement.value.toQName().toXMLName (rootElement)'
												FMT={
													text.style='cs10';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								DESCR='when the reference is resolved to a documented type'
								MATCHING_ETS={'xs:complexType';'xs:simpleType'}
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='type'
											</TEXT_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='XSD Component Name'
												FMT={
													text.style='cs10';
												}
											</SS_CALL_CTRL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
												FMT={
													ctrl.size.width='145.5';
													ctrl.size.height='38.3';
													text.style='cs12';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								DESCR='when type is anonymous'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='anonymous'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'Array ("detail", "xml-source-location")';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='instanceOf ("xs:%simpleType") ? "simpleType" : "complexType"'
											</DATA_CTRL>
											<TEMPLATE_CALL_CTRL>
												TEMPLATE_FILE='../../xsd/type/typeDerivationSummary.tpl'
											</TEMPLATE_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
						<FOOTER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT=')'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</FOOTER>
					</FOLDER>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='(unknown element)'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='case of type'
				COND='getAttrStringValue("type") != ""'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										ATTR='type'
										FMT={
											text.style='cs10';
										}
										<DOC_HLINK>
											CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("type")'
											MATCHING_ETS={'xs:complexType';'xs:simpleType'}
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  thisContext.getElementVar("type").id,
  "detail"
)) != null'
										FMT={
											ctrl.size.width='145.5';
											ctrl.size.height='38.3';
											text.style='cs12';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("type")'
															MATCHING_ETS={'xs:complexType';'xs:simpleType'}
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						<HEADER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='('
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								CONTEXT_ELEMENT_EXPR='thisContext.getElementVar ("type")'
								MATCHING_ETS={'xs:complexType';'xs:simpleType'}
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												MATCHING_ET='xs:simpleType'
												TEXT='simpleType'
											</TEXT_CTRL>
											<TEXT_CTRL>
												MATCHING_ET='xs:complexType'
												TEXT='complexType'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='isXSPredefinedType (getAttrQNameValue("type"))'
								BREAK_PARENT_BLOCK='when-executed'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='predefined simpleType'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='unknown type'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
						<FOOTER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT=')'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</FOOTER>
					</FOLDER>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				DESCR='neither \'element\' nor \'type\' attribute provided'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='???'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definition'
		TEMPLATE_FILE='../misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Link Title'
		TEMPLATE_FILE='../../xsd/component/componentLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../../xsd/component/componentName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='Hy6tDba4IeYxF7LNRrts+8FDrfwl6UnyxP3G76kShyM'
</FLEXDOCXYZ_TEMPLATE>