<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-08-21 12:29:26'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='xs:schema'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$schemaName';
		param.type='string';
		param.defaultValue.expr='hasServiceAttr("embedded") ?
  "Schema" + getServiceAttr("embeddedSchemaNo") + " in " + getXMLDocument().getAttrValue("xmlName")
: \'"\' + getXMLDocument().getAttrStringValue("xmlName") + \'"\'';
		param.autoPassed='false';
	}
	PARAM={
		param.name='$title';
		param.type='string';
		param.defaultValue.expr='"XML Source of " + getParam("$schemaName")';
		param.autoPassed='false';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='doc';
		param.title='Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.xsd.schema';
		param.title='Schema';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.xsd.schema.source';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.xsd.schema.source.join.overview';
		param.title='Join with Overview';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.schema.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.schema.source.remove.xsd.anns';
		param.title='Remove <xs:annotation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp';
		param.title='XSD Component';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram';
		param.title='Diagram';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram.links';
		param.title='Hyperlinks';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.xsd.comp.diagram.links.compositors';
		param.title='Compositors';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='show.fileLocation';
		param.title='File Locations';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.schema';
		param.title='Schema Details';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='page.start.schema.source';
		param.title='XML Source';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Heading 2';
		style.id='ps2';
		text.font.size='20';
		text.font.style.bold='true';
		par.alignment='Center';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.bottom='12';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps3';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs2';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note (Large)';
		style.id='cs3';
		style.css.className='head-note-large';
		text.font.size='14';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs4';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator (Large)';
		style.id='cs5';
		style.css.className='head-note-sp-large';
		text.font.size='14';
		text.font.style.bold='false';
		text.spacing.letter='4';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs6';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Hyperlink (latent)';
		style.id='cs7';
		text.decor.underline='true';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps4';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs8';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps5';
		text.font.size='8';
		text.font.style.bold='true';
		par.margin.right='5.8';
		par.margin.top='0.3';
		par.margin.bottom='0.3';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps6';
		text.font.name='Verdana';
		text.font.size='8';
		par.margin.top='0.3';
		par.margin.bottom='0.3';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs6';
}
<HTARGET>
	COND='! hasServiceAttr ("embedded")'
	HKEYS={
		'getXMLDocument().id';
		'"xml-source"';
	}
</HTARGET>
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"xml-source"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs8';
			table.sizing='Relative';
			table.cell.padding.horz='0.8';
			table.cell.padding.vert='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='417.8';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='XML Source'
						FMT={
							ctrl.size.width='81.8';
							ctrl.size.height='18';
							tcell.align.horz='Right';
							tcell.option.nowrap='true';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<FOLDER>
		DESCR='CASE OF MULTI-FILE (FRAMED HTML) DOCUMENTATION'
		COND='mainContext.output.type != "document"'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<TEMPLATE_CALL>
				COND='output.demoIncomplete'
				TEMPLATE_FILE='../../demo-incomplete.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar'
				COND='getBooleanParam("nav.bar")'
				TEMPLATE_FILE='../../navbar.tpl'
				PASSED_PARAMS={
					'$navbar_type','"schema_source"';
					'$navbar_location','"header"';
				}
			</TEMPLATE_CALL>
			<AREA_SEC>
				DESCR='document heading in case of multi-file (framed) HTML documentation'
				COND='output.type == "document"'
				FMT={
					par.style='ps1';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							par.style='ps1';
						}
						<CTRLS>
							<DATA_CTRL>
								EXPR='getParam("$title")'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='Link to Schema Overview / Source Location'
				COND='output.type == "document"'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='10';
					table.cell.padding.both='0';
					table.border.style='none';
					table.page.keepTogether='true';
				}
				<BODY>
					<AREA_SEC>
						COND='findHyperTarget (
  Array (contextElement.id, "detail")
) != null'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='See Also:'
										FMT={
											ctrl.size.width='59.3';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps5';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='Schema Overview'
										FMT={
											ctrl.size.width='440.3';
											ctrl.size.height='18';
											par.style='ps6';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  rootElement.callStockSection ("Schema Link Title")'
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='hasServiceAttr("embedded") ||
getBooleanParam("show.fileLocation")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Source Location:'
										FMT={
											ctrl.size.width='59.3';
											ctrl.size.height='59.3';
											tcell.align.vert='Top';
											par.style='ps5';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='440.3';
											ctrl.size.height='59.3';
											par.style='ps6';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<PANEL>
														COND='hasServiceAttr("embedded")'
														FMT={
															ctrl.size.width='129';
															ctrl.size.height='38.3';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='embedded in'
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		CONTEXT_ELEMENT_EXPR='getXMLDocument()'
																		MATCHING_ET='#DOCUMENT'
																		ATTR='xmlName'
																		<DOC_HLINK>
																			TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  findChild("wsdl:definitions").callStockSection ("WSDL Link Title")'
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<TEMPLATE_CALL_CTRL>
														COND='! hasServiceAttr("embedded")'
														TEMPLATE_FILE='schemaName.tpl'
														PASSED_PARAMS={
															'$showLocation','true';
														}
													</TEMPLATE_CALL_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='XML SOURCE'
				CONTEXT_ELEMENT_EXPR='hasServiceAttr ("embedded") ? 
  contextElement : getXMLDocument()'
				MATCHING_ETS={'#DOCUMENT';'xs:schema'}
				FMT={
					sec.spacing.before='10';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='XML Source'
									</TEXT_CTRL>
									<SEPARATOR>
										FMT={
											text.style='cs4';
										}
									</SEPARATOR>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../../xml/sourceNote.tpl'
										PASSED_PARAMS={
											'$remove.xsd.anns','getBooleanParam("doc.xsd.schema.source.remove.xsd.anns")';
										}
										FMT={
											text.style='cs2';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.xsd.schema.source.box")'
						BREAK_PARENT_BLOCK='when-executed'
						FMT={
							sec.outputStyle='table';
							table.style='ts1';
							table.sizing='Relative';
							table.autofit='false';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='XML Source'
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='XML Source'
					</SS_CALL>
				</BODY>
			</FOLDER>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar & bottom message'
				COND='output.type == "document"'
				TEMPLATE_FILE='../../navbar-bottom.tpl'
				PASSED_PARAMS={
					'$navbar_type','"schema_source"';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='CASE OF SINGLE-FILE DOCUMENTATION'
		CONTEXT_ELEMENT_EXPR='hasServiceAttr ("embedded") ? 
  contextElement : getXMLDocument()'
		MATCHING_ETS={'#DOCUMENT';'xs:schema'}
		<HEADER>
			<AREA_SEC>
				DESCR='when schema source is separate from overview'
				COND='! getBooleanParam("doc.xsd.schema.source.join.overview")'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<SPACER>
						FMT={
							spacer.height='18';
						}
					</SPACER>
					<PAGE_BREAK>
						COND='getBooleanParam("page.start.schema.source")'
					</PAGE_BREAK>
					<CTRL_GROUP>
						FMT={
							par.style='ps2';
						}
						<CTRLS>
							<TEXT_CTRL>
								COND='output.format.supportsPagination'
								TEXT='Schema XML Source'
							</TEXT_CTRL>
							<PANEL>
								COND='! output.format.supportsPagination'
								FMT={
									ctrl.size.width='341.3';
									ctrl.size.height='46.5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='XML Source of'
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='getParam("$schemaName")'
												FMT={
													text.hlink.fmt='style';
													text.hlink.style='cs7';
													text.hlink.style.use='hover';
												}
												<DOC_HLINK>
													COND='output.format.name == "HTML"'
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  rootElement.callStockSection ("Schema Link Title")'
													HKEYS={
														'contextElement.id';
														'"detail"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									text.style='cs5';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.xsd.anns','getBooleanParam("doc.xsd.schema.source.remove.xsd.anns")';
									'$showSeeLink','false';
								}
								FMT={
									text.style='cs3';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<SPACER>
						FMT={
							spacer.height='12';
						}
					</SPACER>
					<PAGE_BREAK>
						COND='getBooleanParam("page.start.schema.source")'
					</PAGE_BREAK>
					<CTRL_GROUP>
						FMT={
							par.margin.top='0';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Schema XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs4';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.xsd.anns','getBooleanParam("doc.xsd.schema.source.remove.xsd.anns")';
									'$showSeeLink','false';
								}
								FMT={
									text.style='cs2';
									text.font.style.bold='false';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.xsd.schema.source.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts1';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<SS_CALL_CTRL>
								SS_NAME='XML Source'
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				SS_NAME='XML Source'
			</SS_CALL>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='Schema Link Title'
		MATCHING_ET='xs:schema'
		TEMPLATE_FILE='schemaLinkTitle.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='Source Note'
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='none';
		}
		<HEADER>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='w/o'
							</TEXT_CTRL>
							<SEPARATOR>
							</SEPARATOR>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.xsd.schema.source.remove.xsd.anns")
&&
checkElementsByLPath(".//xs:annotation")'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='annotations'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
		<FOOTER>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</FOOTER>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Link Title'
		MATCHING_ET='wsdl:definitions'
		TEMPLATE_FILE='../../wsdl/file/wsdlLinkTitle.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='XML Source'
		MATCHING_ETS={'#DOCUMENT';'xs:schema'}
		<BODY>
			<TEMPLATE_CALL>
				DESCR='case of embedded schema'
				MATCHING_ET='xs:schema'
				BREAK_PARENT_BLOCK='when-executed'
				TEMPLATE_FILE='../../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.xsd.anns','getBooleanParam("doc.xsd.schema.source.remove.xsd.anns")';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='case of XSD file'
				MATCHING_ET='#DOCUMENT'
				TEMPLATE_FILE='../../xml/documentSource.tpl'
				PASSED_PARAMS={
					'$bookmark.elements','true';
					'$bookmark.elements.compositors','getBooleanParam("doc.xsd.comp.diagram") &&
getBooleanParam("doc.xsd.comp.diagram.links.compositors")';
					'$bookmark.xmlns','true';
					'$remove.xsd.anns','getBooleanParam("doc.xsd.schema.source.remove.xsd.anns")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='5HY+0MLFa6mjf07773z4lFi6ky7pwANajjrkxB5BvgI'
</FLEXDOCXYZ_TEMPLATE>