#!/bin/bash
#======================================================================
# Linux shell script to run the site generation demo
#======================================================================

#----------------------------------------------------------------------
# Specify the location of JRE/JDK 11 (or later) here
#----------------------------------------------------------------------
export JAVA_HOME="/home/user/jdk-17"

#----------------------------------------------------------------------
# Specify the location of Apache Maven here
#----------------------------------------------------------------------
export M2_HOME="/home/user/apache-maven-3.8.2"

#----------------------------------------------------------------------
# Setting the initial and maximum heap size allocated by JVM when
# running Maven.
#
# Since FlexDoc/XML generator will be executed in the same JVM, check
# this option when you need to process large quantities of data!
#
# The JVM options below set the initial and maximum Java heap size to
# 1024 Mb and 2048 Mb respectively.
#----------------------------------------------------------------------
export MAVEN_OPTS="-Xms1024m -Xmx2048m"

#----------------------------------------------------------------------
# Run the site generation
#----------------------------------------------------------------------
"$M2_HOME/bin/mvn" site:site

sleep 10
