<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-06-20 06:26:52'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:definitions'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.listFrame.toc';
		param.title='Table of Contents';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file';
		param.title='WSDL File';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file.defs';
		param.title='WSDL Definitions';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file.defs.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file.defs.services';
		param.title='Services';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file.defs.bindings';
		param.title='Bindings';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file.defs.portTypes';
		param.title='Port Types';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.listFrame.wsdl.file.defs.messages';
		param.title='Messages';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='9.5';
		text.font.style.bold='true';
		par.margin.bottom='6';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Heading 2';
		style.id='ps2';
		text.font.size='9';
		text.font.style.bold='true';
		par.margin.top='6';
		par.margin.bottom='3';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame Item';
		style.id='ps3';
		text.font.size='9';
		par.option.nowrap='true';
	}
	TABLE_STYLE={
		style.name='Frame TOC';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Heading';
		style.id='ps4';
		text.font.name='Arial';
		text.font.size='7';
		text.font.style.bold='true';
		par.margin.bottom='2';
		par.option.nowrap='true';
	}
	PAR_STYLE={
		style.name='Frame TOC Item';
		style.id='ps5';
		text.font.size='8';
		par.option.nowrap='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Hyperlink (latent)';
		style.id='cs3';
		text.decor.underline='true';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps6';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"listFrame"';
	}
</HTARGET>
<ROOT>
	<AREA_SEC>
		DESCR='WSDL file name'
		FMT={
			par.style='ps1';
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<TEMPLATE_CALL_CTRL>
						TEMPLATE_FILE='wsdlName.tpl'
						PASSED_PARAMS={
							'$targetFrame','"detailFrame"';
						}
					</TEMPLATE_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		COND='getBooleanParam("nav.listFrame.toc")'
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<SS_CALL_CTRL>
						SS_NAME='TOC'
						FMT={
							ctrl.size.width='499.5';
							ctrl.size.height='18';
						}
					</SS_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='WSDL definitions'
		COND='getBooleanParam("nav.listFrame.wsdl.file.defs")'
		ALWAYS_PROC_HDRFTR
		<BODY>
			<ELEMENT_ITER>
				DESCR='list of services'
				COND='getBooleanParam("nav.listFrame.wsdl.file.defs.services")'
				TARGET_ET='wsdl:service'
				SCOPE='simple-location-rules'
				RULES={
					'* -> wsdl:service';
				}
				SORTING='by-attr'
				SORTING_KEY={lpath='@name',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.wsdl.file.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id',required;
								'"listFrame"',required;
								'"services"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='162';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"wsdl-service-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Services'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/service.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of bindings'
				COND='getBooleanParam("nav.listFrame.wsdl.file.defs.bindings")'
				TARGET_ET='wsdl:binding'
				SCOPE='simple-location-rules'
				RULES={
					'* -> wsdl:binding';
				}
				SORTING='by-attr'
				SORTING_KEY={lpath='@name',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.wsdl.file.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id',required;
								'"listFrame"',required;
								'"bindings"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='168';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"wsdl-binding-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Bindings'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/binding.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of port types'
				COND='getBooleanParam("nav.listFrame.wsdl.file.defs.portTypes")'
				TARGET_ET='wsdl:portType'
				SCOPE='simple-location-rules'
				RULES={
					'* -> wsdl:portType';
				}
				SORTING='by-attr'
				SORTING_KEY={lpath='@name',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.wsdl.file.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id',required;
								'"listFrame"',required;
								'"portTypes"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='171.8';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"wsdl-portType-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Port Types'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/portType.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='list of messages'
				COND='getBooleanParam("nav.listFrame.wsdl.file.defs.messages")'
				TARGET_ET='wsdl:message'
				SCOPE='simple-location-rules'
				RULES={
					'* -> wsdl:message';
				}
				SORTING='by-attr'
				SORTING_KEY={lpath='@name',ascending}
				SORTING_COND='getBooleanParam("nav.listFrame.wsdl.file.defs.sorting")'
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<HTARGET>
							HKEYS={
								'rootElement.id',required;
								'"listFrame"',required;
								'"messages"';
							}
						</HTARGET>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='168.8';
											ctrl.size.height='38.3';
											text.hlink.fmt='style';
											text.hlink.style='cs3';
											text.hlink.style.use='hover';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											TARGET_FRAME_EXPR='"detailFrame"'
											HKEYS={
												'contextElement.id';
												'"wsdl-message-summary"';
											}
										</DOC_HLINK>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Messages'
													</TEXT_CTRL>
													<DATA_CTRL>
														EXPR='"(" + iterator.numItems + ")"'
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<IMAGE_CTRL>
										COND='getBooleanParam("show.icons")'
										IMAGE_TYPE='file-image'
										FILE='../../images/message.png'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.alignment='bottom';
											image.padding.right='2.5';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='Schema Link Title'
		MATCHING_ET='xs:schema'
		TEMPLATE_FILE='../../xsd/schema/schemaLinkTitle.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='TOC'
		MATCHING_ET='wsdl:definitions'
		<BODY>
			<FOLDER>
				DESCR='with icons'
				COND='getBooleanParam("show.icons")'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<FOLDER>
						DESCR='WSDL'
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<HEADER>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps4';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='WSDL Definitions'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "services"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/services.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Services'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps5';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"services"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "bindings"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/bindings.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Bindings'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps5';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"bindings"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "portTypes"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/portTypes.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Port Types'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps5';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"portTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "messages"
  )
) != null'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/messages.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<TEXT_CTRL>
												TEXT='Messages'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													par.style='ps5';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"messages"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<ELEMENT_ITER>
						DESCR='XSD (types)'
						TARGET_ET='xs:schema'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> wsdl:types/xs:schema[checkElementsByKey("documented-schemas", contextElement.id)]';
						}
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='2';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<HEADER>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											par.style='ps4';
										}
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Types'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												IMAGE_TYPE='file-image'
												FILE='../../images/schema.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='18';
													image.alignment='bottom';
													image.padding.right='2';
												}
											</IMAGE_CTRL>
											<DATA_CTRL>
												EXPR='"Schema" + getServiceAttr("embeddedSchemaNo") + " [" +
((nsURI = getAttrStringValue("targetNamespace")) != "" ? nsURI : "no namespace") +
"]"'
												FMT={
													ctrl.size.width='478.5';
													ctrl.size.height='18';
													tcell.option.nowrap='true';
													par.style='ps5';
												}
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  callStockSection("Schema Link Title")'
													HKEYS={
														'contextElement.id';
														'"listFrame"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT=''
												FMT={
													ctrl.size.width='21';
													ctrl.size.height='219';
													ctrl.option.text.noEmptyOutput='true';
												}
											</TEXT_CTRL>
											<PANEL>
												FMT={
													ctrl.outputStyle='table-fragment';
													ctrl.size.width='478.5';
													ctrl.size.height='219';
												}
												<AREA>
													<CTRL_GROUP>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "elements"
  )
) != null'
														<CTRLS>
															<IMAGE_CTRL>
																IMAGE_TYPE='file-image'
																FILE='../../images/elements.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	ctrl.size.width='18.8';
																	ctrl.size.height='59.3';
																	image.alignment='bottom';
																	image.padding.right='2';
																	tcell.sizing='Minimal';
																}
															</IMAGE_CTRL>
															<PANEL>
																FMT={
																	ctrl.size.width='438.8';
																	ctrl.size.height='59.3';
																	par.style='ps5';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Elements'
																				<DOC_HLINK>
																					HKEYS={
																						'contextElement.id';
																						'"listFrame"';
																						'"elements"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<PANEL>
																				COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "top-level-elements"
  )
) != null'
																				FMT={
																					ctrl.size.width='144.8';
																					txtfl.separator.type='none';
																				}
																				<AREA>
																					<CTRL_GROUP>
																						<CTRLS>
																							<TEXT_CTRL>
																								TEXT='('
																							</TEXT_CTRL>
																							<TEXT_CTRL>
																								TEXT='top-level'
																								<DOC_HLINK>
																									HKEYS={
																										'contextElement.id';
																										'"listFrame"';
																										'"top-level-elements"';
																									}
																								</DOC_HLINK>
																							</TEXT_CTRL>
																							<SEPARATOR>
																								FMT={
																									txtfl.separator.type='text';
																									txtfl.separator.text=' / ';
																								}
																							</SEPARATOR>
																							<TEXT_CTRL>
																								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "other-elements"
  )
) != null'
																								TEXT='other'
																								<DOC_HLINK>
																									HKEYS={
																										'contextElement.id';
																										'"listFrame"';
																										'"other-elements"';
																									}
																								</DOC_HLINK>
																							</TEXT_CTRL>
																							<SEPARATOR>
																								FMT={
																									txtfl.separator.type='none';
																								}
																							</SEPARATOR>
																							<TEXT_CTRL>
																								TEXT=')'
																							</TEXT_CTRL>
																						</CTRLS>
																					</CTRL_GROUP>
																				</AREA>
																			</PANEL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
													<CTRL_GROUP>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "complexTypes"
  )
) != null'
														<CTRLS>
															<IMAGE_CTRL>
																IMAGE_TYPE='file-image'
																FILE='../../images/complexTypes.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	ctrl.size.width='18.8';
																	ctrl.size.height='18';
																	image.alignment='bottom';
																	image.padding.right='2';
																	tcell.sizing='Minimal';
																}
															</IMAGE_CTRL>
															<TEXT_CTRL>
																TEXT='Complex Types'
																FMT={
																	ctrl.size.width='438.8';
																	ctrl.size.height='18';
																	par.style='ps5';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"listFrame"';
																		'"complexTypes"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
													<CTRL_GROUP>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "simpleTypes"
  )
) != null'
														<CTRLS>
															<IMAGE_CTRL>
																IMAGE_TYPE='file-image'
																FILE='../../images/simpleTypes.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	ctrl.size.width='18.8';
																	ctrl.size.height='18';
																	image.alignment='bottom';
																	image.padding.right='2';
																	tcell.sizing='Minimal';
																}
															</IMAGE_CTRL>
															<TEXT_CTRL>
																TEXT='Simple Types'
																FMT={
																	ctrl.size.width='438.8';
																	ctrl.size.height='18';
																	par.style='ps5';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"listFrame"';
																		'"simpleTypes"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
													<CTRL_GROUP>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "groups"
  )
) != null'
														<CTRLS>
															<IMAGE_CTRL>
																IMAGE_TYPE='file-image'
																FILE='../../images/groups.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	ctrl.size.width='18.8';
																	ctrl.size.height='18';
																	image.alignment='bottom';
																	image.padding.right='2';
																	tcell.sizing='Minimal';
																}
															</IMAGE_CTRL>
															<TEXT_CTRL>
																TEXT='Element Groups'
																FMT={
																	ctrl.size.width='438.8';
																	ctrl.size.height='18';
																	par.style='ps5';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"listFrame"';
																		'"groups"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
													<CTRL_GROUP>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributes"
  )
) != null'
														<CTRLS>
															<IMAGE_CTRL>
																IMAGE_TYPE='file-image'
																FILE='../../images/attributes.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	ctrl.size.width='18.8';
																	ctrl.size.height='18';
																	image.alignment='bottom';
																	image.padding.right='2';
																	tcell.sizing='Minimal';
																}
															</IMAGE_CTRL>
															<TEXT_CTRL>
																TEXT='Attributes'
																FMT={
																	ctrl.size.width='438.8';
																	ctrl.size.height='18';
																	par.style='ps5';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"listFrame"';
																		'"attributes"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
													<CTRL_GROUP>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributeGroups"
  )
) != null'
														<CTRLS>
															<IMAGE_CTRL>
																IMAGE_TYPE='file-image'
																FILE='../../images/attributeGroups.png'
																OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
																FMT={
																	ctrl.size.width='18.8';
																	ctrl.size.height='18';
																	image.alignment='bottom';
																	image.padding.right='2';
																	tcell.sizing='Minimal';
																}
															</IMAGE_CTRL>
															<TEXT_CTRL>
																TEXT='Attribute Groups'
																FMT={
																	ctrl.size.width='438.8';
																	ctrl.size.height='18';
																	par.style='ps5';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"listFrame"';
																		'"attributeGroups"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='without icons'
				<BODY>
					<FOLDER>
						DESCR='WSDL'
						<HEADER>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps4';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='WSDL Definitions'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "services"
  )
) != null'
								FMT={
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Services'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"services"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "bindings"
  )
) != null'
								FMT={
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Bindings'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"bindings"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "portTypes"
  )
) != null'
								FMT={
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Port Types'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"portTypes"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "messages"
  )
) != null'
								FMT={
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Messages'
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"listFrame"';
														'"messages"';
													}
												</DOC_HLINK>
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<ELEMENT_ITER>
						DESCR='XSD (types)'
						TARGET_ET='xs:schema'
						SCOPE='advanced-location-rules'
						RULES={
							'* -> wsdl:types/xs:schema[checkElementsByKey("documented-schemas", contextElement.id)]';
						}
						FMT={
							sec.spacing.before='2';
						}
						<HEADER>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps4';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Types'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<AREA_SEC>
								FMT={
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<DATA_CTRL>
												EXPR='"Schema" + getServiceAttr("embeddedSchemaNo") + " [" +
((nsURI = getAttrStringValue("targetNamespace")) != "" ? nsURI : "no namespace") +
"]"'
												<DOC_HLINK>
													TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  callStockSection("Schema Link Title")'
													HKEYS={
														'contextElement.id';
														'"listFrame"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<FOLDER>
								DESCR='schema TOC'
								FMT={
									sec.indent.left='11';
								}
								<BODY>
									<AREA_SEC>
										COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "elements"
  )
) != null'
										FMT={
											par.style='ps5';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Elements'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"listFrame"';
																'"elements"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<PANEL>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "top-level-elements"
  )
) != null'
														FMT={
															ctrl.size.width='144.8';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='('
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='top-level'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"listFrame"';
																				'"top-level-elements"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text=' / ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "other-elements"
  )
) != null'
																		TEXT='other'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"listFrame"';
																				'"other-elements"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='none';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT=')'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
									<AREA_SEC>
										COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "complexTypes"
  )
) != null'
										FMT={
											par.style='ps5';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Complex Types'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"listFrame"';
																'"complexTypes"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
									<AREA_SEC>
										COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "simpleTypes"
  )
) != null'
										FMT={
											par.style='ps5';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Simple Types'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"listFrame"';
																'"simpleTypes"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
									<AREA_SEC>
										COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "groups"
  )
) != null'
										FMT={
											par.style='ps5';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Element Groups'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"listFrame"';
																'"groups"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
									<AREA_SEC>
										COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributes"
  )
) != null'
										FMT={
											par.style='ps5';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attributes'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"listFrame"';
																'"attributes"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
									<AREA_SEC>
										COND='findHyperTarget (
  Array (
    contextElement.id,
    "listFrame",
    "attributeGroups"
  )
) != null'
										FMT={
											par.style='ps5';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='Attribute Groups'
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"listFrame"';
																'"attributeGroups"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</FOLDER>
						</BODY>
					</ELEMENT_ITER>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definition'
		TEMPLATE_FILE='../misc/defName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='sKlBidjlwElUn9yQUVbD5BHlaWvR1P4ziNuB0lpUyG4'
</FLEXDOCXYZ_TEMPLATE>