<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2008-02-16 07:07:55'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ET='xs:%facet'
DESCR='This template expects to be called from an Element Iterator by facets grouped so that its \'iterator.groupElements\' property returns the list of all facets of the same type to be documented together (e.g. xs:enumeration)'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$facet.annotation';
		param.title='Include Annotations';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='$comp';
		param.description='Specify the component, whose detailed documentation is being generated.';
		param.type='GOMElement';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Description (Tiny)';
		style.id='cs2';
		text.font.name='Arial';
		text.font.size='8';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<ROOT>
	<FOLDER>
		DESCR='CASE OF ENUMERATIOM'
		MATCHING_ET='xs:enumeration'
		BREAK_PARENT_BLOCK='when-executed'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"facet-detail"';
				'getElementParam("$comp").id';
			}
		</HTARGET>
		<BODY>
			<ELEMENT_ITER>
				DESCR='if there is at least one annotation within the <xs:enumeration> elements'
				COND='getBooleanParam("$facet.annotation")
&&
checkElementsByLPath (
  parentContext.iterator.groupElements,
  "xs:annotation/xs:documentation"
)'
				BREAK_PARENT_BLOCK='when-executed'
				TARGET_ET='xs:enumeration'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='parentContext.iterator.groupElements'
				FMT={
					sec.outputStyle='table';
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<BODY>
					<AREA_SEC>
						COND='checkStockSectionOutput("annotation")'
						BREAK_PARENT_BLOCK='when-executed'
						FMT={
							trow.cell.align.vert='Top';
							trow.cell.padding.extra.bottom='0.2';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='79.5';
											ctrl.size.height='38.3';
											text.style='cs4';
											text.spacing.nbsp='true';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='"'
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='value'
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='"'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										FMT={
											ctrl.size.width='57.8';
											ctrl.size.height='38.3';
											text.style='cs2';
											text.spacing.nbsp='true';
											par.option.nowrap='true';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT=' '
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='-'
														FMT={
															text.style='cs4';
														}
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT=' '
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<SS_CALL_CTRL>
										SS_NAME='annotation'
										FMT={
											ctrl.size.width='362.3';
											ctrl.size.height='38.3';
											text.style='cs2';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						FMT={
							trow.cell.align.vert='Top';
							trow.cell.padding.extra.bottom='0.2';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<PANEL>
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='38.3';
											text.style='cs4';
											text.spacing.nbsp='true';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='"'
													</TEXT_CTRL>
													<DATA_CTRL>
														ATTR='value'
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='"'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='otherwise, there are no annotations whithin <xs:enumeration> elements; print the enumeration values as a plain comma-delimited list'
				TARGET_ET='xs:enumeration'
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='parentContext.iterator.groupElements'
				FMT={
					sec.outputStyle='text-par';
					text.style='cs4';
				}
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='"'
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='value'
										FMT={
											text.spacing.nbsp='true';
										}
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='"'
									</TEXT_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
									</SEPARATOR>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<ELEMENT_ITER>
		DESCR='CASE OF PATTERN'
		MATCHING_ET='xs:pattern'
		BREAK_PARENT_BLOCK='when-executed'
		TARGET_ET='xs:pattern'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='parentContext.iterator.groupElements'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"facet-detail"';
				'getElementParam("$comp").id';
			}
		</HTARGET>
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								ATTR='value'
								FMT={
									text.style='cs4';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				COND='getBooleanParam("$facet.annotation")'
				SS_NAME='annotation'
				FMT={
					text.style='cs2';
				}
			</SS_CALL>
		</BODY>
	</ELEMENT_ITER>
	<FOLDER>
		DESCR='CASE OF OTHER FACETS'
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("$facet.annotation")
&&
checkStockSectionOutput("annotation")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					txtfl.separator.type='none';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
							trow.cell.padding.extra.bottom='0.2';
						}
						<CTRLS>
							<DATA_CTRL>
								ATTR='value'
								FMT={
									ctrl.size.width='79.5';
									ctrl.size.height='38.3';
									tcell.padding.extra.top='1.5';
									text.style='cs4';
								}
							</DATA_CTRL>
							<PANEL>
								FMT={
									ctrl.size.width='57.8';
									ctrl.size.height='38.3';
									text.style='cs2';
									text.spacing.nbsp='true';
									par.option.nowrap='true';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT=' '
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='-'
												FMT={
													text.style='cs4';
												}
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT=' '
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SS_CALL_CTRL>
								SS_NAME='annotation'
								FMT={
									ctrl.size.width='362.3';
									ctrl.size.height='38.3';
									text.style='cs2';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								ATTR='value'
								FMT={
									text.style='cs4';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='annotation'
		MATCHING_ET='xs:%annotated'
		TEMPLATE_FILE='../ann/annotation.tpl'
		FMT={
			par.lineHeight='0';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='S5NTzc+ZXRTfydaZmm8lxi1LrgMPznnGOIxX13MgQQw'
</FLEXDOCXYZ_TEMPLATE>